## guile-fibers 1.4.1

=== benchmarks/Makefile ===
chain_csv:=chain-0.csv chain-10.csv chain-100.csv
ping_pong_csv:=ping-pong-10.csv ping-pong-100.csv
local_ping_pong_csv:=local-ping-pong-10.csv local-ping-pong-100.csv
fan_out_csv:=fan-out-10.csv fan-out-100.csv
diagonal_csv:=diagonal-10.csv diagonal-100.csv
sieve_csv:=sieve-2000.csv

csv:=$(chain_csv) $(ping_pong_csv) $(local_ping_pong_csv) $(fan_out_csv) $(diagonal_csv) $(sieve_csv)

all: $(csv)

chain-%.csv:
	../env guile ./scale-bench guile chain.scm $* '#e1e4' | tee $@

ping-pong-%.csv:
	../env guile ./scale-bench guile ping-pong.scm $* '#e1e4' | tee $@

local-ping-pong-%.csv:
	../env guile ./scale-bench guile local-ping-pong.scm $* '#e1e4' | tee $@

fan-out-%.csv:
	../env guile ./scale-bench guile fan-out.scm $* '#e1e5' | tee $@

diagonal-%.csv:
	../env guile ./scale-bench guile diagonal.scm $* '#e1e4' | tee $@

sieve-%.csv:
	../env guile ./scale-bench guile sieve.scm $* | tee $@

## guile-fibers 1.3.1

=== debian/changelog ===
guile-fibers (1.3.1-5) unstable; urgency=medium

  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 19 Mar 2025 00:42:09 +0100

guile-fibers (1.3.1-4) unstable; urgency=medium

  * Improve d/tests/.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 19 Feb 2025 15:32:28 +0100

guile-fibers (1.3.1-3) unstable; urgency=medium

  * Attempt to fix concurrent-web-server.scm test failure.
  * Add basic d/tests/.
  * Add B-D libevent-dev for hurd.
  * salsa-ci: Enable arm/riscv runners.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 18 Feb 2025 08:55:58 +0100

guile-fibers (1.3.1-2) unstable; urgency=medium

  * Fix Vcs-* URLs.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Feb 2025 15:54:25 +0100

guile-fibers (1.3.1-1) unstable; urgency=medium

  * New package.  Closes: #1089660.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 10 Dec 2024 19:45:19 +0100

=== debian/control ===
Source: guile-fibers
Section: libs
Priority: optional
Maintainer: Simon Josefsson <simon@josefsson.org>
Build-Depends:
 debhelper-compat (= 13),
 guile-3.0-dev,
 libevent-dev [hurd-any],
 texinfo,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/guile-fibers.git
Vcs-Browser: https://salsa.debian.org/debian/guile-fibers/
Homepage: https://github.com/wingo/fibers

Package: guile-fibers
Build-Profiles: <!noguile>
Architecture: any
Section: lisp
Depends:
 guile-3.0,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guile library with facility to provide Go-like concurrency
 Fibers is a facility that provides Go-like concurrency for Guile
 Scheme, in the tradition of Concurrent ML.
 .
 This package contains the Guile Fibers modules.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh $@ --builddirectory=b4deb

execute_before_dh_auto_build:
	rm -v fibers.info

override_dh_auto_install:
	dh_auto_install $(DH_BUILD_OPTS) --destdir=debian/tmp

# package-has-unnecessary-activation-of-ldconfig-trigger
override_dh_makeshlibs:

override_dh_dwz:
	dh_dwz --exclude=.go

override_dh_shlibdeps:
	dh_shlibdeps --exclude=.go

=== debian/tests/control ===
Test-Command: guile tests/basic.scm
Features:
 test-name=guile-tests-basic,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/conditions.scm
Features:
 test-name=guile-tests-conditions,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/channels.scm
Features:
 test-name=guile-tests-channels,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/foreign.scm
Features:
 test-name=guile-tests-foreign,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/io-wakeup.scm
Features:
 test-name=guile-tests-io-wakeup,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/parameters.scm
Features:
 test-name=guile-tests-parameters,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/preemption.scm
Features:
 test-name=guile-tests-preemption,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/speedup.scm
Features:
 test-name=guile-tests-speedup,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/timer-wheel.scm
Features:
 test-name=guile-tests-timer-wheel,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/ports.scm
Features:
 test-name=guile-tests-ports,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

Test-Command: guile tests/concurrent-web-server.scm
Features:
 test-name=guile-tests-concurrent-web-server,
Restrictions:
 allow-stderr,
Depends:
 guile-3.0,
 guile-fibers,

## guile-fibers 1.4.0

=== debian/changelog ===
guile-fibers (1.4.0-1) unstable; urgency=medium

  * Point watch file to codeberg.
  * New upstream version 1.4.0.  Closes: #1098478.
  * Don't clean no longer distributed *.info.
  * Remove speedup disabling patch.
  * Improve d/copyright for git tarball.
  * Mark more debci's as flaky.
  * Point Source: in d/copyright to codeberg.
  * Improve upstream/metadata for codeberg.
  * Use codeberg URL in d/patches/ Forwarded:.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 02 Sep 2025 00:05:03 +0200

guile-fibers (1.3.1-8) unstable; urgency=medium

  * Mark some debci flaky.  Re-add flaky speedup.  Related to: #1111954.
  * Update Homepage: URL (but not watch until new release).
  * Back out disabling speedup from build, hppa/sparc64 not release archs.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Aug 2025 10:28:43 +0200

guile-fibers (1.3.1-7) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 23:54:28 +0200

guile-fibers (1.3.1-6) experimental; urgency=medium

  * Add d/patches/ to disable tests/speedup.
  * Drop tests/speedup from d/tests/.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 May 2025 10:42:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --builddirectory=b4deb
-
-execute_before_dh_auto_build:
-	rm -v fibers.info
 
 override_dh_auto_install:
 	dh_auto_install $(DH_BUILD_OPTS) --destdir=debian/tmp

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  test-name=guile-tests-basic,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,
@@ -12,6 +13,7 @@
  test-name=guile-tests-conditions,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,
@@ -30,6 +32,7 @@
  test-name=guile-tests-foreign,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,
@@ -39,6 +42,7 @@
  test-name=guile-tests-io-wakeup,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,
@@ -48,6 +52,7 @@
  test-name=guile-tests-parameters,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,
@@ -66,6 +71,7 @@
  test-name=guile-tests-speedup,
 Restrictions:
  allow-stderr,
+ flaky,
 Depends:
  guile-3.0,
  guile-fibers,

=== debian/watch ===
version=4
https://codeberg.org/fibers/fibers/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## guile-fibers 1.4.1

=== debian/changelog ===
guile-fibers (1.4.1-2) unstable; urgency=medium

  * Add 15m test timeout and don't FTBFS on tests.  Closes: #1111954.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 18 Sep 2025 14:28:33 +0200

guile-fibers (1.4.1-1) unstable; urgency=medium

  * Use watch v5.
  * New upstream version 1.4.1
  * Drop flaky flag on tests/basic (#1111954).
  * Work around upstream srcdir!=builddir bug.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Sep 2025 10:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/guile-fibers.git
 Vcs-Browser: https://salsa.debian.org/debian/guile-fibers/
-Homepage: https://github.com/wingo/fibers
+Homepage: https://codeberg.org/fibers/fibers
 
 Package: guile-fibers
 Build-Profiles: <!noguile>

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
 
 %:
-	dh $@ --builddirectory=b4deb
+	dh $@ --builddirectory=.
 
 override_dh_auto_install:
 	dh_auto_install $(DH_BUILD_OPTS) --destdir=debian/tmp
+
+override_dh_auto_test:
+	-timeout --kill-after=1m 15m dh_auto_test
 
 # package-has-unnecessary-activation-of-ldconfig-trigger
 override_dh_makeshlibs:

=== debian/watch ===
Version: 5
Source: https://codeberg.org/api/v1/repos/fibers/fibers/tags
Matching-Pattern: https://codeberg.org/fibers/fibers/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%

## guile-fibers 1.4.2

=== debian/changelog ===
guile-fibers (1.4.2-4) unstable; urgency=medium

  * Run ignored self-tests first and increase timeout to 15m

 -- Simon Josefsson <simon@josefsson.org>  Tue, 17 Feb 2026 08:21:03 +0100

guile-fibers (1.4.2-3) unstable; urgency=medium

  * Re-enable to FTBFS if basic.scm FAILs
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump copyright years
  * Run Salsa lrc

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Feb 2026 14:55:51 +0100

guile-fibers (1.4.2-2) unstable; urgency=medium

  * Team maintained by debian-scheme

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Dec 2025 08:48:20 +0100

guile-fibers (1.4.2-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream version 1.4.2
  * Use new upstream URL.
  * Drop upstreamed patch.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 14 Nov 2025 22:36:39 +0100

guile-fibers (1.4.1-3) unstable; urgency=medium

  * Use upstream patch for web-server test.
  * Drop Rules-Requires-Root: no.
  * Drop arm/riscv Salsa runners for now.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 05 Nov 2025 22:50:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: guile-fibers
 Section: libs
-Priority: optional
-Maintainer: Simon Josefsson <simon@josefsson.org>
+Maintainer: Debian Scheme Team <debian-scheme@lists.debian.org>
+Uploaders:
+ Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
  debhelper-compat (= 13),
  guile-3.0-dev,
  libevent-dev [hurd-any],
  texinfo,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/guile-fibers.git
 Vcs-Browser: https://salsa.debian.org/debian/guile-fibers/
-Homepage: https://codeberg.org/fibers/fibers
+Homepage: https://codeberg.org/guile/fibers
 
 Package: guile-fibers
 Build-Profiles: <!noguile>

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,15 @@
 override_dh_auto_install:
 	dh_auto_install $(DH_BUILD_OPTS) --destdir=debian/tmp
 
+# Upstream self-tests are notoriously flaky -- sometimes caused by bugs in
+# Guile -- so let's run all tests but only FTBFS if tests/basic.scm fails.
+#
+# https://codeberg.org/guile/fibers/issues/127
 override_dh_auto_test:
-	-timeout --kill-after=1m 15m dh_auto_test
+	-timeout --verbose --kill-after=1m 15m \
+		dh_auto_test $(DH_BUILD_OPTS)
+	timeout --verbose --kill-after=1m 15m \
+		dh_auto_test $(DH_BUILD_OPTS) -- TESTS="tests/basic.scm"
 
 # package-has-unnecessary-activation-of-ldconfig-trigger
 override_dh_makeshlibs:
